> For the complete documentation index, see [llms.txt](https://docs.p4.software/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.p4.software/english-1/inventory-items.md).

# Inventory Items

## GET /inventory

> Returns inventory

```json
{"openapi":"3.0.1","info":{"title":"P4W Api Gateway","version":"v1"},"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"Api key taken from 'Gateway API key' setting.","name":"ApiKey","in":"header"}},"schemas":{"InventoryItem":{"type":"object","properties":{"productId":{"type":"string","format":"uuid","nullable":true},"sku":{"type":"string","nullable":true},"clientId":{"type":"string","format":"uuid","nullable":true},"warehouseId":{"type":"string","format":"uuid","nullable":true},"quantity":{"type":"number","format":"double"},"isSerialControlled":{"type":"boolean"},"isExpiryControlled":{"type":"boolean"},"isDecimalControlled":{"type":"boolean"},"details":{"type":"array","items":{"$ref":"#/components/schemas/InventoryItemDetails"},"nullable":true}},"additionalProperties":false},"InventoryItemDetails":{"type":"object","properties":{"serialNumber":{"type":"string","nullable":true},"lotNumber":{"type":"string","nullable":true},"expiry":{"type":"string","format":"date-time","nullable":true},"eachCount":{"type":"integer","format":"int32","nullable":true},"quantity":{"type":"number","format":"double","nullable":true}},"additionalProperties":false}}},"paths":{"/inventory":{"get":{"tags":["InventoryItems"],"summary":"Returns inventory","parameters":[{"name":"warehouseId","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"clientId","in":"query","schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/InventoryItem"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/InventoryItem"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/InventoryItem"}}}}}}}}}}
```
